#! /bin/sh

# This file is renamed version of the rc.4 from Slackware 7.1
# and is executed when system goes to runlevel 5, not 4 as below
# I kept original text.

#
# rc.4		This file is executed by init(8) when the system is being
#		initialized for run level 4 (XDM)
#
# Version:	@(#)/etc/rc.d/rc.4	2.00	02/17/93
#
# Author:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#



# Tell the viewers what's going to happen...
# /etc/rc.d/rc.sysvinit
echoc "Starting up X11 session manager..." green

# KDE's kdm is the default session manager.  If you're got this, it's the
# one to use.
if [ -x /opt/kde/bin/kdm ]; then
  exec /opt/kde/bin/kdm -nodaemon
# GNOME's session manager is another choice:
elif [ -x /opt/gnome/bin/gdm ]; then
  exec /opt/gnome/bin/gdm -nodaemon
# If all you have is XDM, I guess it will have to do:
elif [ -x /usr/X11R6/bin/xdm ]; then
  exec /usr/X11R6/bin/xdm -nodaemon
fi

# error
echo
echo "Hey, you don't have KDM, GDM, or XDM.  Can't use runlevel 5 without"
echo "one of those installed."
sleep 30

# All done.
